/*
 * $Id$
 */

package org.apache.maven.archiva.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * Class CiManagement.
 * 
 * @version $Revision$ $Date$
 */
public class CiManagement
    implements java.io.Serializable
{

      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * 
     *             URL for the continuous integration system used
     * by the project if it has a web interface.
     */
    private String url;

    /**
     * 
     *             The name of the continuous integration system,
     * e.g. <code>continuum</code>.
     */
    private String system;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get 
     *             The name of the continuous integration system,
     * e.g. <code>continuum</code>.
     * 
     * @return String
     */
    public String getSystem()
    {
        return this.system;
    } //-- String getSystem()

    /**
     * Get 
     *             URL for the continuous integration system used
     * by the project if it has a web interface.
     * 
     * @return String
     */
    public String getUrl()
    {
        return this.url;
    } //-- String getUrl()

    /**
     * Set 
     *             The name of the continuous integration system,
     * e.g. <code>continuum</code>.
     * 
     * @param system
     */
    public void setSystem( String system )
    {
        this.system = system;
    } //-- void setSystem( String )

    /**
     * Set 
     *             URL for the continuous integration system used
     * by the project if it has a web interface.
     * 
     * @param url
     */
    public void setUrl( String url )
    {
        this.url = url;
    } //-- void setUrl( String )


    private static final long serialVersionUID = 7592740408468517476L;
          
}
