/*
 * $Id$
 */

package org.apache.maven.archiva.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * 
 *         Information about the issue tracking (or bug tracking)
 * system used to manage this project.
 *       
 * 
 * @version $Revision$ $Date$
 */
public class IssueManagement
    implements java.io.Serializable
{

      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * URL for the issue management system used by the project.
     */
    private String url;

    /**
     * The name of the issue management system, e.g. Bugzilla.
     */
    private String system;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get the name of the issue management system, e.g. Bugzilla.
     * 
     * @return String
     */
    public String getSystem()
    {
        return this.system;
    } //-- String getSystem()

    /**
     * Get uRL for the issue management system used by the project.
     * 
     * @return String
     */
    public String getUrl()
    {
        return this.url;
    } //-- String getUrl()

    /**
     * Set the name of the issue management system, e.g. Bugzilla.
     * 
     * @param system
     */
    public void setSystem( String system )
    {
        this.system = system;
    } //-- void setSystem( String )

    /**
     * Set uRL for the issue management system used by the project.
     * 
     * @param url
     */
    public void setUrl( String url )
    {
        this.url = url;
    } //-- void setUrl( String )


    private static final long serialVersionUID = -8881904886381224821L;
          
}
