/*
 * $Id$
 */

package org.apache.maven.archiva.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * Specifies the organization that produces this project.
 * 
 * @version $Revision$ $Date$
 */
public class Organization
    implements java.io.Serializable
{

      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * The full name of the organization.
     */
    private String name;

    /**
     * The URL to the organization's home page.
     */
    private String url;

    /**
     * 
     *             The URL to the organization's logo image.  This
     * can be an URL relative
     *             to the base directory of the generated web site,
     *             (e.g., <code>/images/org-logo.png</code>) or an
     * absolute URL
     *             (e.g., <code>http://my.corp/logo.png</code>). 
     * This value is used
     *             when generating the project documentation.
     *           
     */
    private String favicon;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get 
     *             The URL to the organization's logo image.  This
     * can be an URL relative
     *             to the base directory of the generated web site,
     *             (e.g., <code>/images/org-logo.png</code>) or an
     * absolute URL
     *             (e.g., <code>http://my.corp/logo.png</code>). 
     * This value is used
     *             when generating the project documentation.
     *           
     * 
     * @return String
     */
    public String getFavicon()
    {
        return this.favicon;
    } //-- String getFavicon()

    /**
     * Get the full name of the organization.
     * 
     * @return String
     */
    public String getName()
    {
        return this.name;
    } //-- String getName()

    /**
     * Get the URL to the organization's home page.
     * 
     * @return String
     */
    public String getUrl()
    {
        return this.url;
    } //-- String getUrl()

    /**
     * Set 
     *             The URL to the organization's logo image.  This
     * can be an URL relative
     *             to the base directory of the generated web site,
     *             (e.g., <code>/images/org-logo.png</code>) or an
     * absolute URL
     *             (e.g., <code>http://my.corp/logo.png</code>). 
     * This value is used
     *             when generating the project documentation.
     *           
     * 
     * @param favicon
     */
    public void setFavicon( String favicon )
    {
        this.favicon = favicon;
    } //-- void setFavicon( String )

    /**
     * Set the full name of the organization.
     * 
     * @param name
     */
    public void setName( String name )
    {
        this.name = name;
    } //-- void setName( String )

    /**
     * Set the URL to the organization's home page.
     * 
     * @param url
     */
    public void setUrl( String url )
    {
        this.url = url;
    } //-- void setUrl( String )


    private static final long serialVersionUID = -7782212828768434535L;
          
}
